> For the complete documentation index, see [llms.txt](https://docs.patchmypc.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patchmypc.com/patch-my-pc-cloud/events/technical-references/security.md).

# Events reference for Security Events in Patch My PC Cloud

*Applies to: Patch My PC Cloud*

This article lists the various that are generated with the **Security** severity by Patch My PC (PMPC) Cloud.

| Title                                                                                                                  | Category   | Operation Type | Generated when                                                           |
| ---------------------------------------------------------------------------------------------------------------------- | ---------- | -------------- | ------------------------------------------------------------------------ |
| Company Ownership Approved for <*user\_name*>                                                                          | Access     | Approved       | A user successfully completed the "Recover Your Company" process.        |
| Company Ownership Rejected for <*user\_name*>                                                                          | Access     | Rejected       | A user failed to complete the "Recover Your Company" process.            |
| Customer Support Settings Updated for Company <*company\_name*>                                                        | Company    | Updated        | The settings for a company are updated.                                  |
| Group role with id <*entra\_id\_security\_group\_id*> was created with role <*user\_role\_assigned*>                   | Group Role | Created        | When an Entra ID Security Group is added to the portal                   |
| Group Role Removed                                                                                                     | Group Role | Removed        | When an Entra ID Security Group is removed from the portal               |
| Group role with name <*group\_name*> and id <*entra\_id\_security\_group\_id*> was changed to role <*new\_user\_role*> | Group Role | Updated        | When the role of an Entra ID Security Group is changed within the portal |
| Intune Connection Added                                                                                                | Intune     | Connected      | An Intune tenant is connected to the portal.                             |
| Intune Connection Removed                                                                                              | Intune     | Disconnected   | An Intune tenant is disconnected from the portal.                        |
| Invitation Sent to <*user\_name*>                                                                                      | Invitation | Created        | A user invitation is sent.                                               |
| Preview Features Setting Updated by \<user\_name>                                                                      | Company    | Updated        | A user changes the **Preview Features** setting for a company            |
| User Account Created for <*user\_name*>                                                                                | User       | Created        | A user is created.                                                       |
| <*user\_name*> Removed by <*admin\_name*>                                                                              | User       | Removed        | A user is deleted.                                                       |
| <*user\_name*> Role Changed by <*admin\_name*>\`                                                                       | User       | Role changed   | A user's role is changed.                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.patchmypc.com/patch-my-pc-cloud/events/technical-references/security.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
